#ifndef _LIMITS_H
#define _LIMITS_H       1

#define CHAR_BIT            (8)
#define SCHAR_MIN       (-0x80)
#define SCHAR_MAX        (0x7F)
#define UCHAR_MAX        (0xFF)
#define CHAR_MIN     SCHAR_MIN
#define CHAR_MAX     SCHAR_MAX
#define MB_LEN_MAX         (16)
#define SHRT_MIN      (-0x8000)
#define SHRT_MAX       (0x7FFF)
#define USHRT_MAX      (0xFFFF)
#define INT_MIN   (-0x80000000)
#define INT_MAX    (0x7FFFFFFF)
#define UINT_MAX   (0xFFFFFFFFU)
#define LONG_MIN  (-0x80000000L)
#define LONG_MAX   (0x7FFFFFFFL)
#define ULONG_MAX  (0xFFFFFFFFUL)

#endif
