#include <kernel/kernel.h>
#include <stdio.h>
void
kernel_memory_show (void)
{
    //
    printf ("[%s] kernel %08" PRIX32 "..%08" PRIX32
               "  avail. %08" PRIX32 "..%08" PRIX32 "\n",
                        __func__,
                        os.mem_ph.total_s,
                        os.mem_ph.total_e,
                        os.mem_ph.available_s,
                        os.mem_ph.available_e);
    //
    printf ("[%s] text   %08" PRIX32 "..%08" PRIX32
               "  rodata %08" PRIX32 "..%08" PRIX32 "\n",
                        __func__,
                        os.mem_ph.k_text_s,
                        os.mem_ph.k_text_e,
                        os.mem_ph.k_rodata_s,
                        os.mem_ph.k_rodata_e);
    //
    printf ("[%s] data   %08" PRIX32 "..%08" PRIX32
               "  bss    %08" PRIX32 "..%08" PRIX32 "\n",
                        __func__,
                        os.mem_ph.k_data_s,
                        os.mem_ph.k_data_e,
                        os.mem_ph.k_bss_s,
                        os.mem_ph.k_bss_e);
    //
    printf ("[%s] limit  %08" PRIX32 "\n",
                        __func__,
                        os.mem_ph.total_l);
}
